using UnityEngine;
using System;
using System.Collections.Generic;

public class DiplomacyHigh01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "Two of our allied kingdoms are at war with each other: Catomania, one of our most important food suppliers, and the Aiso States, a powerful military empire. Staying neutral could be beneficial, but it could also make you seem weak and coward. What should we do now?";
    }

    protected override string GetSender()
    {
        return "Frederich, the Diplomat";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Diplomacy;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.High;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Support Catomania", 
                new ResponseLetter
                (
                    "Catomania has just expressed their gratitude for our support and ensured we'll have trading benefits with them whenever this war is over.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Wealthy, +0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Diplomacy, -0.1f} }
                )
            ),
            new Choice
            (
                "Support the Aiso States", 
                new ResponseLetter
                (
                    "The Aiso States have sent their thanks for your support along with some well-trained warrior to protect our borders.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Warpower, +0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Diplomacy, -0.1f} }
                )
            ),
            new Choice
            (
                "Stay Neutral", 
                new ResponseLetter
                (
                    "Your neutrality in the war didn't leave a good impression on your people. There's talk about weakness and cowardice in the taverns of the kingdom.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Diplomacy, +0.1f} }
                )
            )
        };
    }
}